<?php
add_action( 'admin_menu', 'simple_metadata_generator_add_admin_menu' );
add_action( 'admin_init', 'simple_metadata_generator_settings_init' );

  
//Enqueue image
add_action( 'admin_enqueue_scripts', 'basics_image_enqueue' );
function basics_image_enqueue() {

	global $pagenow;

	$plugin_dir_uri = get_template_directory_uri();

    if($pagenow == 'admin.php') :
        wp_enqueue_media();
        wp_register_script( 'box-image',  get_template_directory_uri() . '/inc/metadata/js/smg-box-image.js', array( 'jquery' ) );
        wp_localize_script( 'box-image', 'meta_image',
            array(
                'title' => __( 'Choisir votre image', 'basics' ),
                'button' => __( 'Utiliser cette image', 'basics' ),
            )
        );
        wp_enqueue_script( 'box-image' );
    endif;
}


//Register settings

add_action( 'admin_menu', 'simple_metadata_generator_add_admin_menu' );  
function simple_metadata_generator_add_admin_menu(){    
	$page_title = 'Métadonnées';   
	$menu_title = 'Métadonnées';   
	$capability = 'manage_options';   
	$menu_slug  = 'options-metadonnees';   
	$function   = 'simple_metadata_generator_options_page';  
	$icon_url   = 'dashicons-media-code';   
	$position   = 80;    
	 add_menu_page( 
		 $page_title,
		 $menu_title,
		 $capability,
		 $menu_slug,
		 $function,
		 $icon_url,
		 $position 
	 ); 
} 
  

function simple_metadata_generator_settings_init(  ) { 

	register_setting( 'smg_settings_page', 'simple_metadata_generator_settings' );

	add_settings_section(
		'smg_settings_page_section', 
		__( 'Choisir les métadonnées', 'basics' ), 
		'smg_settings_callback', 
		'smg_settings_page'
	);
	add_settings_field( 
		'simple_metadata_generator_opengraph', 
		__( 'Open Graph (Facebook, OG)', 'basics' ), 
		'smg_og_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
	add_settings_field( 
		'simple_metadata_generator_fb_admins', 
		__( 'FB:admins ID', 'basics' ), 
		'smg_fb_admins_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
	add_settings_field( 
		'simple_metadata_generator_twittercard', 
		__( 'Twitter Card', 'basics' ), 
		'smg_twitter_card_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
	add_settings_field( 
		'simple_metadata_generator_twitter_id', 
		__( 'Twitter ID', 'basics' ), 
		'smg_twitter_id_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
	add_settings_field( 
		'simple_metadata_generator_image_format', 
		__( 'Format de la Twitter Card', 'basics' ), 
		'smg_twitter_card_format_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
	add_settings_field( 
		'simple_metadata_generator_default_image', 
		__( 'Image par défaut (OG et Twitter)', 'basics' ), 
		'smg_image_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
	add_settings_field( 
		'simple_metadata_generator_dublincore', 
		__( 'Dublin Core (DC)', 'basics' ), 
		'smg_dc_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
	add_settings_field( 
		'simple_metadata_generator_description', 
		__( 'HTML Meta Description', 'basics' ), 
		'smg_html_description_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);	
	add_settings_field( 
		'simple_metadata_generator_keywords', 
		__( 'HTML Meta Keywords', 'basics' ), 
		'smg_keywords_function', 
		'smg_settings_page', 
		'smg_settings_page_section' 
	);
}


function smg_og_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
?>
	<input name='simple_metadata_generator_settings[simple_metadata_generator_opengraph]' value='0' type='hidden'>
	<input type='checkbox' name='simple_metadata_generator_settings[simple_metadata_generator_opengraph]' <?php checked( $options['simple_metadata_generator_opengraph'], 1 ); ?> value='1'>
<?php }
function smg_fb_admins_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
		if ( empty ( $options['simple_metadata_generator_fb_admins'] ) ) : 
			$fbadm = ''; 
		else : 
			$fbadm = $options['simple_metadata_generator_fb_admins'];
		endif;
	?>
	<input type='text' name='simple_metadata_generator_settings[simple_metadata_generator_fb_admins]' value='<?php echo $fbadm; ?>'>
	<p>
		<em><?php _e('Métadonnées pour les statistiques des pages FB. Vous devez être connecté à vitre compte Facebook pour obtenir cet ID.', 'basics'); ?> </em>
	</p>
	<?php
}

function smg_twitter_card_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
?>
	<input name='simple_metadata_generator_settings[simple_metadata_generator_twittercard]' value='0' type='hidden'>
	<input type='checkbox' name='simple_metadata_generator_settings[simple_metadata_generator_twittercard]' <?php checked( $options['simple_metadata_generator_twittercard'], 1 ); ?> value='1'>
<?php }

function smg_image_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
		if ( empty ( $options['simple_metadata_generator_default_image'] ) ) : 
			$default = ''; 
		else : 
			$default = $options['simple_metadata_generator_default_image'];
		endif;
	?>
	<input type='text' id='smg-img' name='simple_metadata_generator_settings[simple_metadata_generator_default_image]' value='<?php echo $default; ?>'>
	<input type='button' id='smg-image-button' value='<?php _e( 'Chose your image', 'basics' )?>' />
	<p>
		<em><?php _e('Pour un rendu optimal, cette image doit être de min. 800 pixels de large, au format 16/9', 'basics'); ?> </em>
	</p>	
		<?php if( !empty( $default ) ): ?>			
				<div id="img-smg">
					 <img src="<?php echo $default; ?>" style="width:30%;height:auto;margin-top:10px;" id="imgtop" />
						<p id="remove_default_image" style="margin-top:-6px!important;">
							<a title="<?php _e('Supprimer', 'basics'); ?>" href="javascript:;" id="remove-footer-thumbnail">
							<?php _e('Supprimer l\'image', 'basics'); ?></a>
						</p>			
				</div>
		<?php else :	
		endif; 
}

function smg_twitter_card_format_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
?>
	<select name='simple_metadata_generator_settings[simple_metadata_generator_image_format]'>
		<option value='1' <?php selected( $options['simple_metadata_generator_image_format'], 1 ); ?>>Summary</option>
		<option value='2' <?php selected( $options['simple_metadata_generator_image_format'], 2 ); ?>>Summary large image</option>
	</select>
	<p>
		<em><?php _e('Summary (petite image) or Summary large image (grande image)', 'basics'); ?> </em>
	</p>
<?php }

function smg_twitter_id_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
		if ( empty ( $options['simple_metadata_generator_twitter_id'] ) ) : 
			$twitterid = ''; 
		else : 
			$twitterid = $options['simple_metadata_generator_twitter_id'];
		endif;
?>
	<input type='text' name='simple_metadata_generator_settings[simple_metadata_generator_twitter_id]' placeholder='<?php _e('@monId', 'basics'); ?>' value='<?php echo $twitterid; ?>'>
	<p>
		<em><?php _e('Votre ID Twitter @MyName', 'basics'); ?> </em>
	</p>
<?php }

function smg_dc_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
?>
	<input name='simple_metadata_generator_settings[simple_metadata_generator_dublincore]' value='0' type='hidden'>
	<input type='checkbox' name='simple_metadata_generator_settings[simple_metadata_generator_dublincore]' <?php checked( $options['simple_metadata_generator_dublincore'], 1 ); ?> value='1'>
<?php
}

function smg_keywords_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
		if ( empty ( $options['simple_metadata_generator_keywords'] ) ) : 
			$keywords = ''; 
		else : 
			$keywords = $options['simple_metadata_generator_keywords'];
		endif;
?>
	<textarea style='width:66%;' type='text' name='simple_metadata_generator_settings[simple_metadata_generator_keywords]'><?php echo $keywords; ?></textarea>
	<p>
		<em><?php _e('Maximum 20 mots-clés, séparés par une virgule', 'basics'); ?> </em>
	</p>
<?php }

function smg_html_description_function(  ) { 
	$options = get_option( 'simple_metadata_generator_settings' );
		if ( empty ( $options['simple_metadata_generator_description'] ) ) : $description = ''; 
			else : $description = $options['simple_metadata_generator_description'];
		endif;
?>
	<textarea style='width:66%;' type='text' name='simple_metadata_generator_settings[simple_metadata_generator_description]'><?php echo $description; ?></textarea>
	<p>
		<em><?php _e('Maximum 200 characters', 'basics'); ?> </em>
	</p>
<?php }


function smg_settings_callback(  ) { 
	echo __( '3 types de métadonnées sont disponibles (Open Graph, Twitter Card et Dublin Core), ainsi que les métadonnées HTML (mots-clés et description)', 'basics' );
}

function simple_metadata_generator_options_page(  ) { ?>
	<form action='options.php' method='post'>
		<h1><?php __('Métadonnées', 'basics') ?></h1>
		<?php
		settings_fields( 'smg_settings_page' );
		do_settings_sections( 'smg_settings_page' );
		submit_button();
		?>

	</form>
<?php }

?>